Bug 52201 - up2date kernel update fails with unexpected lilo options
Summary: up2date kernel update fails with unexpected lilo options
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: up2date   
(Show other bugs)
Version: roswell
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-21 17:46 UTC by Christopher McCrory
Modified: 2015-01-07 23:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-06 19:50:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My lilo.conf file (727 bytes, text/plain)
2001-09-03 14:59 UTC, Christopher McCrory
no flags Details

Description Christopher McCrory 2001-08-21 17:46:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010725

Description of problem:
It seems up2date failed on a kernel upgrade
I think I configured up2date to do kernels also.
IIRC, you shouldn't do this :)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. have odd lilo options in lilo.conf
2.  use up2date
3.  update kernel 
	

Actual Results:  From console output

Traceback (innermost last):
  File "/usr/share/rhn/up2date/gui.py", line 727, in doInstallation
  File "/usr/share/rhn/up2date/up2date.py", line 1943, in installBootLoader
  File "/usr/share/rhn/up2date/up2date.py", line 1966, in __install_lilo
  File "/usr/share/rhn/up2date/lilocfg.py", line 245, in installNewImages
lilocfg.LiloConfParseError: lilo options that are not supported by up2date
are used in the default lilo.conf. This file will not be modified. The
options include:

['disk=/dev/sda', 'bios=0x80', 'disk=/dev/hda', 'bios=0x81']


Expected Results:  ?

Additional info:

boot=/dev/sda
map=/boot/map
install=/boot/boot.b
prompt
timeout=50
message=/boot/message
linear
default=linux
disk=/dev/sda
bios=0x80
disk=/dev/hda
bios=0x81


from my lilo conf
I have a scsi and an ide drive
I boot from the scsi drive
the bios lines switch the drives around

lilo did not get updated or run

the up2date process seems to have hung at 100% done
other rpms were successfully updated after the kernel

Comment 1 Glen Foster 2001-08-21 20:28:29 UTC
We (Red Hat) should try to fix this before next release.

Comment 2 Adrian Likins 2001-08-22 19:22:29 UTC
which version of up2date is this occuring with? This is supported
in the latest versions of the client. With current code, these 
options will work correctly.

If you want, you could add an attactment of your lilo.conf, and I
can add it to the the test suite (there are alreadys lilo.conf's
that include bios drive remapping already though...). But 
more test cases never hurt ;->

Comment 3 Christopher McCrory 2001-09-03 14:58:22 UTC
Hello...

   Tried again with latest batch of updates, this is what I got:

[root@wednesday root]# up2date
fatal error: unable to find a suitable template
/boot/initrd-2.4.7-6smp.img already exists.
fatal error: unable to find a suitable template
Traceback (innermost last):
  File "/usr/share/rhn/up2date_client/gui.py", line 731, in doInstallation
    gtk.threads_enter()
  File "/usr/share/rhn/up2date_client/up2date.py", line 1964, in installBootLoader
    remoteDelPackages(removedPackages)
  File "/usr/share/rhn/up2date_client/up2date.py", line 1987, in __install_lilo
    extraInfo = "kernel-smp"
  File "/usr/share/rhn/up2date_client/lilocfg.py", line 245, in installNewImages
   if len(config.unsupported):
up2date_client.lilocfg.LiloConfParseError: lilo options that are not supported
by up2date are used in the default lilo.conf. This file will not be modified.
The options include:

['disk=/dev/sda', 'bios=0x80', 'disk=/dev/hda', 'bios=0x81']




Comment 4 Christopher McCrory 2001-09-03 14:59:45 UTC
Created attachment 30695 [details]
My lilo.conf file

Comment 5 Christopher McCrory 2001-09-03 15:36:27 UTC
also I got the 'i585' kernel not the 'i686'


[chrismcc@wednesday chrismcc]$ rpm -qa --last| grep kernel
kernel-source-2.4.7-6                         Mon 03 Sep 2001 07:51:58 AM PDT
kernel-smp-2.4.7-6                            Mon 03 Sep 2001 07:51:03 AM PDT
kernel-smp-2.4.7-6                            Mon 03 Sep 2001 07:50:44 AM PDT
kernel-headers-2.4.7-6                        Mon 03 Sep 2001 07:50:27 AM PDT
kernel-smp-2.4.7-2.9                          Fri 31 Aug 2001 07:40:37 AM PDT


[chrismcc@wednesday /]$ ls -l /boot/vmlinuz-2.4.7-6smp /tmp/vmlinuz-2.4.7-6smp.i*
-rw-r--r--    1 root     root       854322 Aug 29 08:25 /boot/vmlinuz-2.4.7-6smp
-rw-r--r--    1 chrismcc chrismcc   854322 Aug 29 08:25 /tmp/vmlinuz-2.4.7-6smp.i586
-rw-r--r--    1 chrismcc chrismcc   858961 Aug 29 08:41 /tmp/vmlinuz-2.4.7-6smp.i686

/tmp/vmlin... pulled out of rpms via 'mc'


[chrismcc@wednesday /]$ cat /proc/cpuinfo 
processor
: 0
vendor_id
: GenuineIntel
cpu family	: 6
model
	: 5
model name	: Pentium II (Deschutes)
stepping
: 3
cpu MHz		: 398.939
cache size	: 512 KB
fdiv_bug
: no
hlt_bug
	: no
f00f_bug
: no
coma_bug
: no
fpu
	: yes
fpu_exception
: yes
cpuid level	: 2
wp
	: yes
flags
	: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 mmx fxsr
bogomips
: 796.26

processor
: 1
vendor_id
: GenuineIntel
cpu family	: 6
model
	: 5
model name	: Pentium II (Deschutes)
stepping
: 3
cpu MHz		: 398.939
cache size	: 512 KB
fdiv_bug
: no
hlt_bug
	: no
f00f_bug
: no
coma_bug
: no
fpu
	: yes
fpu_exception
: yes
cpuid level	: 2
wp
	: yes
flags
	: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 mmx fxsr
bogomips
: 796.26



Comment 6 Christopher McCrory 2001-09-03 16:05:14 UTC
Ah, new up2date got the ARCH fix

But the lilo error is the same

[chrismcc@wednesday chrismcc]$ rpm -qa --last | grep "kernel\|up2date"
kernel-smp-2.4.7-6                            Mon 03 Sep 2001 09:00:22 AM PDT
up2date-gnome-2.6.0-7.x.37                    Mon 03 Sep 2001 07:53:29 AM PDT
up2date-2.6.0-7.x.37                          Mon 03 Sep 2001 07:53:26 AM PDT
kernel-source-2.4.7-6                         Mon 03 Sep 2001 07:51:58 AM PDT


Comment 7 Adrian Likins 2001-09-04 17:15:26 UTC
doh. The lilo stuff should actually, really, work in the next version. 

All the logic for handling it was there, but I was still blowing up
in the case where I got this setup, despite being able to handle it. Doh.



Comment 8 Adrian Likins 2001-09-04 17:17:12 UTC
the arch bug is a seperate issue, which is also resolved in the latest
versions of the clients.

Comment 9 David M. Cook 2001-11-06 19:50:20 UTC
Tested with: 

disk = /dev/hda
bios = 0x81



Note You need to log in before you can comment on or make changes to this bug.